# Enum Class CLNChannelLayoutPacking

java.lang.Object
java.lang.Enum<CLNChannelLayoutPacking>
com.io7m.calino.api.CLNChannelLayoutPacking

All Implemented Interfaces:
  `CLNDescribableType, Serializable, Comparable<CLNChannelLayoutPacking>, Constable`

public enum CLNChannelLayoutPacking extends Enum<CLNChannelLayoutPacking> implements CLNDescribableType
The available texture packing values.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PACK_16`
  Texture components are packed into a 16-bit value.
  `PACK_32`
  Texture components are packed into a 32-bit value.
  `PACK_64`
  Texture components are packed into a 64-bit value.
  `PACK_8`
  Texture components are packed into an 8-bit value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `bitCount()`
  `static CLNChannelLayoutPacking`
  `parse(String text)`
  Parse a packing value.
  `static CLNChannelLayoutPacking`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNChannelLayoutPacking[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNDescribableType

  `descriptor`

- ## Enum Constant Details

  - ### PACK_8

    public static final CLNChannelLayoutPacking PACK_8
    Texture components are packed into an 8-bit value.

  - ### PACK_16

    public static final CLNChannelLayoutPacking PACK_16
    Texture components are packed into a 16-bit value.

  - ### PACK_32

    public static final CLNChannelLayoutPacking PACK_32
    Texture components are packed into a 32-bit value.

  - ### PACK_64

    public static final CLNChannelLayoutPacking PACK_64
    Texture components are packed into a 64-bit value.

- ## Method Details

  - ### values

    public static CLNChannelLayoutPacking[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNChannelLayoutPacking valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static CLNChannelLayoutPacking parse(String text) throws ParseException
    Parse a packing value.
    Parameters:
      `text` - The text
    Returns:
      A packing value
    Throws:
      `ParseException` - On errors

  - ### bitCount

    public abstract int bitCount()
    Returns:
      The bit count